# Uses of Class
org.eclipse.jdt.core.search.TypeNameMatch

Packages that use TypeNameMatch
Package
Description
org.eclipse.jdt.core.manipulation
Application programming interface for the JDT core manipulation plug-in class.
org.eclipse.jdt.core.search
Provides support for searching the workspace Java elements that match a particular description.

## Uses of TypeNameMatch in org.eclipse.jdt.core.manipulation

Methods in org.eclipse.jdt.core.manipulation that return TypeNameMatch
Modifier and Type
Method
Description
`TypeNameMatch[]`
OrganizeImportsOperation.IChooseImportQuery.`chooseImports(TypeNameMatch[][] openChoices, ISourceRange[] ranges)`
Selects imports from a list of choices.
Methods in org.eclipse.jdt.core.manipulation with parameters of type TypeNameMatch
Modifier and Type
Method
Description
`void`
TypeNameMatchCollector.`acceptTypeNameMatch(TypeNameMatch match)`
`TypeNameMatch[]`
OrganizeImportsOperation.IChooseImportQuery.`chooseImports(TypeNameMatch[][] openChoices, ISourceRange[] ranges)`
Selects imports from a list of choices.
Constructor parameters in org.eclipse.jdt.core.manipulation with type arguments of type TypeNameMatch
Modifier
Constructor
Description
``
`TypeNameMatchCollector(Collection<TypeNameMatch> collection)`

## Uses of TypeNameMatch in org.eclipse.jdt.core.search

Methods in org.eclipse.jdt.core.search that return TypeNameMatch
Modifier and Type
Method
Description
`static TypeNameMatch`
SearchEngine.`createTypeNameMatch(IType type, int modifiers)`
Create a type name match on a given type with specific modifiers.
Methods in org.eclipse.jdt.core.search with parameters of type TypeNameMatch
Modifier and Type
Method
Description
`abstract void`
TypeNameMatchRequestor.`acceptTypeNameMatch(TypeNameMatch match)`
Accepts a type name match (`TypeNameMatch`) which contains top-level or a member type information as package name, enclosing types names, simple type name, modifiers, etc.